package WebService::TFL::Bus::Fields;
use strict;
use warnings;

sub stop_return_fields {
    qw(
          StopPointName
          StopID
          StopCode1
          StopCode2
          StopPointType
          Towards
          Bearing
          StopPointIndicator
          StopPointState
          Latitude
          Longitude
  );
}

sub prediction_return_fields {
    stop_return_fields(),
    qw(
          VisitNumber
          LineID
          LineName
          DirectionID
          DestinationText
          DestinationName
          VehicleID
          TripID
          RegistrationNumber
          EstimatedTime
          ExpireTime
  ),
}

sub flexible_return_fields {
    stop_return_fields,
    qw(
          MessageUUID
          MessageType
          MessagePriority
          MessageText
          StartTime
          ExpireTime
  ),
}

sub query_fields {
    qw(
          StopAlso
          Circle
          StopPointName
          StopID
          StopCode1
          StopCode2
          StopPointType
          Towards
          Bearing
          StopPointIndicator
          StopPointState
          VisitNumber
          LineID
          LineName
          DirectionID
          DestinationText
          DestinationName
          VehicleID
          TripID
          RegistrationNumber
          MessageType
          MessagePriority
  );
}

1;
